package cn.iocoder.yudao.framework.common.template.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

@Data
@Accessors(chain = true)
public class MessageUnreadReminderDTO {
    @Schema(description = "接收者（用户）的 openid")
    private String openId;
    @Schema(description = "消息类型")
    private String msgType;
    @Schema(description = "发送人")
    private String sender;
    @Schema(description = "发送时间")
    private String sendingTime;
    @Schema(description = "内容")
    private String comment;
    @Schema(description = "跳转小程序类型")
    private String miniProgramState = "formal";
    @Schema(description = "小程序页面地址", requiredMode = Schema.RequiredMode.REQUIRED, example = "pages/home/index")
    private String page;
}
