package cn.iocoder.yudao.module.bpm.api.oa.vo.receipt;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Schema(description = "BpmOA回款申请流程的VO对象")
@Data
public class BpmOAReceiptVO {

    @Schema(description = "用户编号")
    private List<Long> userId;

    @Schema(description = "开始时间")
    private Date starTime;

    @Schema(description = "结束时间")
    private Date endTime;
}
