package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.receipt;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@Schema(description = "管理后台 - 回款申请分页 Request VO")
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class BpmOAReceiptPageReqVO extends PageParam {

    @Schema(description = "客户名称，模糊匹配")
    private String customerName;

    @Schema(description = "合同名称，模糊匹配")
    private String contractName;

    @Schema(description = "审批结果")
    private Integer result;

    @Schema(description = "创建人名称")
    private String createName;

    @Schema(description = "查询模式")
    private String relation;

    @Schema(description = "合同编号")
    private Long contractId;
}
