package cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@Schema(description = "管理后台 - CRM流程任务的分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmCrmTaskPageReqVO extends PageParam {

    @Schema(description = "流程定义编号", example = "oa_contract")
    private String processDefinitionId;

    @Schema(description = "是否是待办", example = "true")
    private Boolean isTodo;
}
