package cn.iocoder.yudao.module.crm.service.crmflowlog;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.crm.controller.admin.crmflowlog.vo.CrmFlowLogPageReqVO;
import cn.iocoder.yudao.module.crm.dal.dataobject.crmflowlog.CrmFlowLogDO;
import cn.iocoder.yudao.module.crm.dal.mysql.crmflowlog.CrmFlowLogMapper;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;

import javax.annotation.Resource;

/**
 * 审核日志 Service 实现类
 *
 * @author yshop
 */
@Service
@Validated
public class CrmFlowLogServiceImpl implements CrmFlowLogService {

    @Resource
    private CrmFlowLogMapper flowLogMapper;

    @Override
    public PageResult<CrmFlowLogDO> getFlowLogPage(CrmFlowLogPageReqVO pageReqVO) {
        return flowLogMapper.selectPage(pageReqVO);
    }

}
