package cn.iocoder.yudao.module.system.api.auth.dto;

import cn.iocoder.yudao.framework.common.enums.SocialTypeEnum;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@Accessors(chain = true)
public class AdminOauthUserOtherInfoApiDTO {
    /**
     * 社交平台的类型 (参见 {@link SocialTypeEnum} 枚举)
     */
    private Integer socialType;
    /**
     * 用户状态 0开启 1关闭
     */
    private Integer status;
    /**
     * 用户类型 1：公司用户  2：工厂用户
     */
    private Integer userType;
    /**
     * 部门ids
     */
    private List<Long> deptIds;
    /**
     * 用户ids
     */
    private List<Long> userIds;
}
