package cn.iocoder.yudao.module.system.controller.admin.commonlyused.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 用户常用应用配置新增/修改 Request VO")
@Data
public class CommonlyUsedSaveReqVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "18873")
    private Long id;

    @Schema(description = "类型 1流程 2菜单", example = "1")
    private Integer type;

    @Schema(description = "菜单id或流程id 根据具体类型来", example = "11898")
    private String objectId;

    @Schema(description = "排序(从小到大)")
    private Integer sort;

}
