package cn.iocoder.yudao.module.system.controller.admin.forklifttemporarytable.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 工厂叉车资产（excel 临时表） Response VO")
@Data
@ExcelIgnoreUnannotated
public class ForkliftTemporaryTableRespVO {

    @Schema(description = "叉车编号")
    @ExcelProperty("叉车编号")
    private String carNo;

    @Schema(description = "品牌")
    @ExcelProperty("品牌")
    private String brand;

    @Schema(description = "资产类型", example = "2")
    @ExcelProperty("资产类型")
    private String type;

    @Schema(description = "规格")
    @ExcelProperty("规格")
    private String sku;

    @Schema(description = "设别编号")
    @ExcelProperty("设别编号")
    private String equipmentNo;

    @Schema(description = "出厂编号")
    @ExcelProperty("出厂编号")
    private String factoryNo;

    @Schema(description = "铭牌日期")
    @ExcelProperty("铭牌日期")
    private String nameplateTime;

    @Schema(description = "车牌")
    @ExcelProperty("车牌")
    private String licensePlate;

    @Schema(description = "状态", example = "2")
    @ExcelProperty("状态")
    private String status;

    @Schema(description = "投入使用月份")
    @ExcelProperty("投入使用月份")
    private String monthOfUse;

    @Schema(description = "工厂名称", example = "赵六")
    @ExcelProperty("工厂名称")
    private String factoryName;

    @Schema(description = "备注", example = "随便")
    @ExcelProperty("备注")
    private String remark;

}