package cn.iocoder.yudao.module.system.controller.admin.workovertime.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 加班扣除规则 Response VO")
@Data
@ExcelIgnoreUnannotated
public class WorkOvertimeDeductRuleRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "26316")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "加班规则id", example = "7404")
    @ExcelProperty("加班规则id")
    private Long ruleId;

    @Schema(description = "加班规则子表id", example = "7404")
    @ExcelProperty("加班规则子表id")
    private Long ruleItemId;

    @Schema(description = "每天加班满n小时 临界值")
    @ExcelProperty("每天加班满n小时 临界值")
    private Integer threshold;

    @Schema(description = "扣除的数量")
    @ExcelProperty("扣除的数量")
    private Integer deductNum;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
