package cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroupuseramount.dto;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
public class StaffWagesPageDTO extends PageParam {

    @Schema(description = "用户id", example = "12639")
    private Long userId;

    @Schema(description = "工厂id", example = "12639")
    private Long factoryId;

    @Schema(description = "搬运组工资规格关联id", example = "27617")
    private Long handlingGroupAmountSpecificationsId;

    @Schema(description = "日期 格式 yyyy-MM-dd")
    private String dateStr;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;
}
