package cn.iocoder.yudao.module.smartfactory.controller.admin.industrialinjury.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 -  垫资明细")
@Data
public class AdvancePaymentItem {

    @Schema(description = "垫资方 | 1公司 2工厂")
    private Integer payer;

    @Schema(description = "金额")
    private BigDecimal amount;

    @Schema(description = "时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String time;

    @Schema(description = "备注")
    private String notes;
}
