package cn.iocoder.yudao.module.smartfactory.controller.admin.staffcertificateinformation.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 叉车员工证件信息新增/修改 Request VO")
@Data
public class StaffCertificateInformationSaveReqVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "9880")
    private Long id;

    @Schema(description = "工厂员工id", example = "93")
    private Long staffId;

    @Schema(description = "身份证正面")
    private String idCardFront;

    @Schema(description = "身份证反面")
    private String idCardReverse;

    @Schema(description = "叉车证书")
    private String forkliftCertificate;

    @Schema(description = "叉车年检信息")
    private String forkliftAnnualInspection;

    @Schema(description = "年检过期时间")
    private LocalDateTime forkliftAnnualInspectionExpiredTime;

    public static void main(String[] args) {
        System.out.println(new Date().getTime());
    }
}
