package cn.iocoder.yudao.module.system.controller.admin.forklifttemporarytable.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 工厂叉车资产（excel 临时表）新增/修改 Request VO")
@Data
public class ForkliftTemporaryTableSaveReqVO {

    @Schema(description = "叉车编号")
    private String carNo;

    @Schema(description = "品牌")
    private String brand;

    @Schema(description = "资产类型", example = "2")
    private String type;

    @Schema(description = "规格")
    private String sku;

    @Schema(description = "设别编号")
    private String equipmentNo;

    @Schema(description = "出厂编号")
    private String factoryNo;

    @Schema(description = "铭牌日期")
    private String nameplateTime;

    @Schema(description = "车牌")
    private String licensePlate;

    @Schema(description = "状态", example = "2")
    private String status;

    @Schema(description = "投入使用月份")
    private String monthOfUse;

    @Schema(description = "工厂名称", example = "赵六")
    private String factoryName;

    @Schema(description = "备注", example = "随便")
    private String remark;

}