package cn.iocoder.yudao.module.system.controller.admin.holiday.holidaysetting.vo;

import cn.iocoder.yudao.module.system.dal.dataobject.holiday.holidaysettingrange.HolidaySettingRangeDO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
public class PersonnelChangesVO {
    @Schema(description = "原所有人员")
    private List<HolidaySettingRangeDO> oldAllList;

    @Schema(description = "需要新增的人员范围")
    private List<HolidaySettingRangeDO> saveList;

    @Schema(description = "需要删除的人员范围")
    private List<HolidaySettingRangeDO> delList;

    @Schema(description = "现有的人员范围")
    private List<HolidaySettingRangeDO> newAllList;

}
