package cn.iocoder.yudao.module.system.controller.admin.packagingtoolstable.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 木托绑带资产 （excel 临时表）新增/修改 Request VO")
@Data
public class PackagingToolsTableSaveReqVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "28645")
    private Long id;

    @Schema(description = "名称", example = "王五")
    private String name;

    @Schema(description = "规格")
    private String sku;

    @Schema(description = "单位")
    private String unit;

    @Schema(description = "总数")
    private Integer totalNum;

    @Schema(description = "工厂名称", example = "赵六")
    private String factoryName;

    @Schema(description = "备注")
    private String remake;

}