package cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroupamountspecifications.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class HandlingGroupAmountSpecificationsBatchCreateItemVO {

    @Schema(description = "搬运规格id", example = "23178")
    @NotNull(message = "搬运规格不能为空")
    private Long handlingSpecificationsId;

    @Schema(description = "数量", example = "15611")
    @NotNull(message = "数量不能为空")
    private Integer totalCount;


}
