package cn.iocoder.yudao.module.smartfactory.controller.admin.staffsalary.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@Schema(description = "管理后台 - 厂区员工工资分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class StaffSalaryPageReqVO extends PageParam {

    @Schema(description = "用户编号", example = "146")
    private Long staffId;

    @Schema(description = "工厂编号", example = "146")
    private Long factoryId;

    @Schema(description = "工资月份 | YYYY-MM")
    private String month;

    @Schema(description = "工种", example = "6971")
    private Integer workTypeId;

    @Schema(description = "复核状态 | 0未复核 1已复核", example = "0")
    private Integer status;
}